> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle

> The vehicle represents a car, bike, truck, or other form of transportation used in your organization

## What is Vehicle?

The vehicle represents a car, bike, truck, or other form of transportation used in your organization. They are utilized to optimize the route planning process, determining the most efficient path for completing multiple tasks or visits. The vehicle attributes contain IDs, capacity, speed, working hours, tags, and constraints.

**To see the details of vehicle object, please follow [this link](/api-reference/objects/vehicle-object)**

## Key Features

<CardGroup cols={2}>
  <Card title="Read vehicle" icon="list" href="/api-reference/routing/vehicle/read-vehicle">
    GET /vehicles
  </Card>

  <Card title="Read vehicle by ID" icon="list" href="/api-reference/routing/vehicle/read-vehicle-by-id">
    GET /vehicle/{vehicleId}
  </Card>

  <Card title="Update vehicle by ID" icon="pen" href="/api-reference/routing/vehicle/update-vehicle-by-id">
    PUT /vehicle/{vehicleId}
  </Card>

  <Card title="Update partially vehicle by ID" icon="pen" href="/api-reference/routing/vehicle/update-partially-vehicle-by-id">
    PATCH /vehicle/{vehicleId}
  </Card>
</CardGroup>

## Related Resources

* [Vehicle Object](/api-reference/objects/vehicle-object) - Vehicle data structure
